thread identifier sometime cast to integer while it can be 64 bits long on unix
Status: Closed Start date: 03/21/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category: Application Platform Estimated time: 0.00 hour

Target version: 4.7.001   

Operating System: Any Tested: Yes

Version:    

Description

The pthread_self() function used in Nirva returns a pthread_t type that may be 64 bit long on some unix systems. Nirva sometime

casts it to an integer. This is considered as a bug but the casting is not used very often in the code and the way to use it makes low

probability to have a bug here. In any case this must be corrected.

This bug doesn't occur on Windows where the thread ID is a DWORD (32 bits also on 64 bit machine).

History

#1 - 03/23/2012 11:15 AM - Pierre Marc

- Subject changed from thread identifier somtimes cast to integer while it can be 64 bits long on unix to thread identifier sometime cast to integer while

it can be 64 bits long on unix

#2 - 03/23/2012 11:15 AM - Pierre Marc

- Status changed from New to In Progress

#3 - 04/05/2012 10:39 AM - Pierre Marc

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

- Tested changed from No to Yes

#4 - 04/05/2012 10:39 AM - Pierre Marc

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

05/07/2024 1/1

http://www.tcpdf.org

